Package ru.bitel.bgbilling.plugins.shop.common.bean

# Class StockItemAttribute

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.shop.common.bean.StockItemAttribute

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class StockItemAttribute extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StockItemAttribute()`
  `StockItemAttribute(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StockItemAttributeType`
  `getAttributeType()`
  `boolean`
  `isRequired()`
  `boolean`
  `isUnique()`
  `void`
  `setAttributeType(StockItemAttributeType attributeType)`
  `void`
  `setRequired(boolean required)`
  `void`
  `setUnique(boolean unique)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### StockItemAttribute

    public StockItemAttribute()

  - ### StockItemAttribute

    public StockItemAttribute(int id, String title)

- ## Method Details

  - ### getAttributeType

    public StockItemAttributeType getAttributeType()

  - ### setAttributeType

    public void setAttributeType(StockItemAttributeType attributeType)

  - ### isRequired

    public boolean isRequired()

  - ### setRequired

    public void setRequired(boolean required)

  - ### isUnique

    public boolean isUnique()

  - ### setUnique

    public void setUnique(boolean unique)